Package com.evopdf

# Enum StandardCJKFont

java.lang.Object
java.lang.Enum<StandardCJKFont>
com.evopdf.StandardCJKFont

All Implemented Interfaces:
  `Serializable`, `Comparable<StandardCJKFont>`, `java.lang.constant.Constable`

public enum StandardCJKFont extends Enum<StandardCJKFont>
The Korean-Japanesse-Chinese (CJK) predefined fonts

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HanyangSystemsGothicMedium`
  Hanyang Systems Gothic Medium Korean font
  `HanyangSystemsShinMyeongJoMedium`
  Hanyang Systems Shin MyeongJo Medium Korean font
  `HeiseiKakuGothicW5`
  Heisei Kaku Gothic W5 Japanese font
  `HeiseiMinchoW3`
  Heisei Mincho W3 Japanese font
  `MonotypeHeiMedium`
  Monotype Hei Medium Chinese traditional font
  `MonotypeSungLight`
  Monotype Sung Light Chinese traditional font
  `SinoTypeSongLight`
  SinoType Song Light Chinese simplified font

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static StandardCJKFont`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static StandardCJKFont[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HeiseiKakuGothicW5

    public static final StandardCJKFont HeiseiKakuGothicW5
    Heisei Kaku Gothic W5 Japanese font

  - ### HeiseiMinchoW3

    public static final StandardCJKFont HeiseiMinchoW3
    Heisei Mincho W3 Japanese font

  - ### HanyangSystemsGothicMedium

    public static final StandardCJKFont HanyangSystemsGothicMedium
    Hanyang Systems Gothic Medium Korean font

  - ### HanyangSystemsShinMyeongJoMedium

    public static final StandardCJKFont HanyangSystemsShinMyeongJoMedium
    Hanyang Systems Shin MyeongJo Medium Korean font

  - ### MonotypeHeiMedium

    public static final StandardCJKFont MonotypeHeiMedium
    Monotype Hei Medium Chinese traditional font

  - ### MonotypeSungLight

    public static final StandardCJKFont MonotypeSungLight
    Monotype Sung Light Chinese traditional font

  - ### SinoTypeSongLight

    public static final StandardCJKFont SinoTypeSongLight
    SinoType Song Light Chinese simplified font

- ## Method Details

  - ### values

    public static StandardCJKFont[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static StandardCJKFont valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()